> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all payment methods

> Gets a list of the user's linked payment methods.



## OpenAPI

````yaml GET /payment-methods
openapi: 3.0.1
info:
  title: REST API
  description: >-
    # Welcome to Coinbase Exchange API

    ## Introduction

    The Exchange Trading APIs allow institutions to place orders and access
    account information. The following API pages detail various REST API
    endpoints we offer for lower-frequency trading and general requests.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Authentication](/exchange/docs/rest-auth)

    - [Rate Limits](/exchange/docs/rest-rate-limits)

    - [Pagination](/exchange/docs/rest-pagination)

    - [Status Codes](/exchange/docs/rest-requests)

    - [Quickstart](/exchange/docs/getting-started)

    ## FIX API

    - [FIX API reference](/exchange/docs/fix-connectivity)

    ## WebSocket API

    - [WebSocket API reference](/exchange/docs/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.exchange.coinbase.com/
security:
  - ApiKeyAuthKey: []
    ApiKeyAuthPassphrase: []
    ApiKeyAuthSign: []
    ApiKeyAuthTimestamp: []
paths:
  /payment-methods:
    get:
      tags:
        - Transfers
      summary: Get all payment methods
      description: Gets a list of the user's linked payment methods.
      operationId: ExchangeRESTAPI_GetPaymentMethods
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/apiPaymentMethod'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiUnauthorizedResponse'
        '500':
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiErrorResponse'
components:
  schemas:
    apiPaymentMethod:
      title: >-
        from
        https://github.cbhq.net/engineering/coinbase/blob/master/app/presenters/api/v2/payment_method_presenter.rb
      required:
        - created_at
        - currency
        - id
        - instant_buy
        - instant_sell
        - name
        - primary_buy
        - primary_sell
        - resource
        - resource_path
        - type
        - updated_at
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        name:
          type: string
        currency:
          type: string
        primary_buy:
          type: boolean
        primary_sell:
          type: boolean
        instant_buy:
          type: boolean
        instant_sell:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        resource:
          type: string
        resource_path:
          type: string
        verified:
          type: boolean
        limits:
          $ref: '#/components/schemas/apiPaymentMethodLimits'
        allow_buy:
          type: boolean
        allow_sell:
          type: boolean
        allow_deposit:
          type: boolean
        allow_withdraw:
          type: boolean
        fiat_account:
          $ref: '#/components/schemas/apiMonorailLinkedResource'
        crypto_account:
          $ref: '#/components/schemas/apiMonorailLinkedResource'
        recurring_options:
          type: array
          items:
            $ref: '#/components/schemas/apiPaymentMethodRecurringOption'
        available_balance:
          $ref: '#/components/schemas/apiPaymentMethodAvailableBalance'
        picker_data:
          $ref: '#/components/schemas/apiPaymentMethodPickerData'
        hold_business_days:
          type: integer
          format: int64
        hold_days:
          type: integer
          format: int64
        verificationMethod:
          type: string
        cdvStatus:
          type: string
      example:
        id: cbdd9f28-34e7-5152-b1dc-d657bf8df858
        type: fiat_account
        name: Cash (USD)
        currency: USD
        primary_buy: true
        primary_sell: true
        instant_buy: true
        instant_sell: true
        created_at: '2019-06-04T21:24:32.000Z'
        updated_at: '2019-06-04T21:24:32.000Z'
        resource: payment_method
        resource_path: /v2/payment-methods/cbdd9f28-34e7-5152-b1dc-d657bf8df858
        limits:
          type: fiat_account
          name: Coinbase Account
        allow_buy: true
        allow_sell: true
        allow_deposit: false
        allow_withdraw: false
        fiat_account:
          id: 2b760113-fbba-5600-ac74-36482c130768
          resource: account
          resource_path: /v2/accounts/2b760113-fbba-5600-ac74-36482c130768
        verified: true
        picker_data:
          symbol: fiat_account
          balance:
            amount: '1.00'
            currency: USD
        hold_business_days: 0
        hold_days: 0
    apiUnauthorizedResponse:
      type: object
      properties:
        message:
          title: message
          pattern: ^[a-zA-Z0-9]{1, 32}$
          type: string
      description: >-
        UnauthorizedResponse is the response message for endpoints in
        rest-gateway that requires authentication.

        This message is used to generate the Exchange REST API documentation
        using OpenAPI format.
    apiErrorResponse:
      type: object
      properties:
        message:
          title: message
          pattern: ^[a-zA-Z0-9]{1, 32}$
          type: string
    apiPaymentMethodLimits:
      type: object
      properties:
        type:
          type: string
        name:
          type: string
    apiMonorailLinkedResource:
      type: object
      properties:
        id:
          type: string
        resource:
          type: string
        resource_path:
          type: string
    apiPaymentMethodRecurringOption:
      type: object
      properties:
        period:
          type: string
        label:
          type: string
    apiPaymentMethodAvailableBalance:
      type: object
      properties:
        amount:
          type: string
        currency:
          type: string
        scale:
          type: string
    apiPaymentMethodPickerData:
      title: >-
        from
        https://github.cbhq.net/engineering/coinbase/blob/c3e0852ff30323fe31ab265ca5f2389387a324dc/app/presenters/api/v2/payment_method_internal_presenter.rb
      type: object
      properties:
        symbol:
          type: string
        customer_name:
          type: string
        account_name:
          type: string
        account_number:
          type: string
        account_type:
          type: string
        institution_code:
          type: string
        institution_name:
          type: string
        iban:
          type: string
        swift:
          type: string
        paypal_email:
          type: string
        paypal_owner:
          type: string
        routing_number:
          type: string
        institution_identifier:
          type: string
        bank_name:
          type: string
        branch_name:
          type: string
        icon_url:
          type: string
        balance:
          $ref: '#/components/schemas/apiMonorailCurrencyAmount'
        cbit_wallet_address:
          type: string
    apiMonorailCurrencyAmount:
      required:
        - amount
        - currency
      type: object
      properties:
        amount:
          type: string
        currency:
          type: string
  securitySchemes:
    ApiKeyAuthKey:
      type: apiKey
      name: cb-access-key
      in: header
    ApiKeyAuthPassphrase:
      type: apiKey
      name: cb-access-passphrase
      in: header
    ApiKeyAuthSign:
      type: apiKey
      name: cb-access-sign
      in: header
    ApiKeyAuthTimestamp:
      type: apiKey
      name: cb-access-timestamp
      in: header

````